import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetRequests = createAsyncThunk(
  "SLAUGHTER_GET_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_request/", {
      params: {
        role: getRoleFromUrl(),
        role_key: d?.role_key || "",
        date1: d.selectedDate1,
        date2: d.selectedDate2,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
